public inbox for lvm2-cvs@sourceware.org
help / color / mirror / Atom feed
* LVM2/test api/percent.sh lib/aux.sh lib/utils.sh
@ 2011-01-07 15:04 mornfall
  0 siblings, 0 replies; only message in thread
From: mornfall @ 2011-01-07 15:04 UTC (permalink / raw)
  To: lvm-devel, lvm2-cvs

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	mornfall@sourceware.org	2011-01-07 15:04:52

Modified files:
	test/api       : percent.sh 
	test/lib       : aux.sh utils.sh 

Log message:
	Skip the api/percent test on kernels <= 2.6.32.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/api/percent.sh.diff?cvsroot=lvm2&r1=1.3&r2=1.4
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/lib/aux.sh.diff?cvsroot=lvm2&r1=1.4&r2=1.5
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/lib/utils.sh.diff?cvsroot=lvm2&r1=1.2&r2=1.3

--- LVM2/test/api/percent.sh	2011/01/05 00:16:21	1.3
+++ LVM2/test/api/percent.sh	2011/01/07 15:04:52	1.4
@@ -13,6 +13,9 @@
 
 . lib/test
 
+linux_minor=$(echo `uname -r` | cut -d'.' -f3 | cut -d'-' -f1)
+test $linux_minor -le 32 && skip
+
 aux prepare_devs 2
 vgcreate -c n -s 4k $vg $(cat DEVICES)
 lvcreate -n foo $vg -l 5
--- LVM2/test/lib/aux.sh	2011/01/07 13:04:17	1.4
+++ LVM2/test/lib/aux.sh	2011/01/07 15:04:52	1.5
@@ -10,11 +10,6 @@
 
 . lib/utils
 
-skip() {
-    touch SKIP_THIS_TEST
-    exit 1
-}
-
 prepare_clvmd() {
 	if test -z "$LVM_TEST_LOCKING" || test "$LVM_TEST_LOCKING" -ne 3 ; then
 		return 0 # not needed
--- LVM2/test/lib/utils.sh	2011/01/05 00:26:19	1.2
+++ LVM2/test/lib/utils.sh	2011/01/07 15:04:52	1.3
@@ -146,6 +146,11 @@
     fi
 }
 
+skip() {
+    touch SKIP_THIS_TEST
+    exit 200
+}
+
 . lib/paths || { echo >&2 you must run make first; exit 1; }
 
 PATH=$abs_top_builddir/test/lib:$PATH


^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2011-01-07 15:04 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2011-01-07 15:04 LVM2/test api/percent.sh lib/aux.sh lib/utils.sh mornfall

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).